Std ViewFitSelection/it: Difference between revisions

From FreeCAD Documentation
(Created page with "== Script ==")
(Created page with "{{Emphasis|Vedere anche:}} Script di base per FreeCAD")
Line 28: Line 28:
== Script ==
== Script ==


{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|Vedere anche:}} [[FreeCAD Scripting Basics/it|Script di base per FreeCAD]]


To change the view to 'fit selection' the {{incode|SendMsgToActiveView}} method of the FreeCADGui object can be used. This method is not available if FreeCAD is in console mode.
To change the view to 'fit selection' the {{incode|SendMsgToActiveView}} method of the FreeCADGui object can be used. This method is not available if FreeCAD is in console mode.

Revision as of 19:41, 14 April 2020

Visualizza la selezione

Posizione nel menu
Visualizza → Viste standard → Visualizza la selezione
Ambiente
Tutti
Avvio veloce
V S
Introdotto nella versione
-
Vedere anche
Visualizza tutto

Descrizione

The Std ViewFitSelection command zooms and pans the camera so that all selected objects fit inside the active 3D view.

Utilizzo

  1. Select one or more objects.
  2. There are several ways to invoke the command:
    • Press the Std ViewFitSelection button.
    • Select the View → Standard views → Fit selection option from the menu.
    • Select the Fit selection option from the 3D view context menu.
    • Use the keyboard shortcut: V then S.


Script

Vedere anche: Script di base per FreeCAD

To change the view to 'fit selection' the SendMsgToActiveView method of the FreeCADGui object can be used. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.SendMsgToActiveView('ViewSelection')